Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		openal
Version:	0.0.8
Release:	5
License:	GNU/GPL 
URL:		http://www.openal.org
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		openal-gcc-4.x.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	OpenAL is a 3D-audio library.
Requires:	arts
Requires:	audiofile
Requires:	SDL
Requires:	smpeg
Requires:	alsa-lib
Requires:	libvorbis
Requires:	esound
BuildRequires:	arts-devel
BuildRequires:	audiofile-devel
BuildRequires:	SDL-devel
BuildRequires:	smpeg-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libvorbis-devel
BuildRequires:	esound-devel
BuildRequires:  glibc-devel
#Prereq(post,preun): /sbin/install-info

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.
For more details see: http://www.openal.org

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%preun
#if [ "$1" = 0 ]; then
#/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
#fi

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./autogen.sh
./configure --prefix=%_prefix \
--bindir=%_bindir \
--libdir=%_libdir \
--includedir=%_includedir \
--enable-optimization \
--enable-alsa \
--enable-arts \
--enable-esd \
--enable-waveout \
--enable-null \
--enable-sdl \
--enable-vorbis \
--enable-smpeg \
--enable-capture
make

%install
rm -Rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_bindir
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.8-5
- rebuild against latest libs
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.8-4
- rebuilt
- fixed g++ incomplete type issue
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 0.0.8-3
- added more files to devel, added additional stuff,
- added info install, changed group to Sound
* Mon Nov 28 2005 Uli Schukraft <schukraft@ccux-linux.de> 0.0.8-2
- Removed unnecessary Obsoletes-Tag, added dependency: esound
* Mon Mar 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.0.8-1
- Initial Release
